Cadastral & Parcel
List properties on a parcel
List public properties located on a given Cyprus parcel.
GET
/
cy
/
cadastral-search
/
properties-by-parcel
/
List properties on a parcel
curl --request GET \
--url https://pandora.ask-wire.com/cy/cadastral-search/properties-by-parcel/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://pandora.ask-wire.com/cy/cadastral-search/properties-by-parcel/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://pandora.ask-wire.com/cy/cadastral-search/properties-by-parcel/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://pandora.ask-wire.com/cy/cadastral-search/properties-by-parcel/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://pandora.ask-wire.com/cy/cadastral-search/properties-by-parcel/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://pandora.ask-wire.com/cy/cadastral-search/properties-by-parcel/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://pandora.ask-wire.com/cy/cadastral-search/properties-by-parcel/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"count": 123,
"next": "<string>",
"previous": "<string>",
"results": [
{
"id": 123,
"municipality": {
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"country": "<string>",
"parent_id": 123,
"name_gr": "<string>",
"name_en": "<string>",
"level": 123,
"code": "<string>",
"parent_code": "<string>"
},
"municipal_unit": {
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"country": "<string>",
"parent_id": 123,
"name_gr": "<string>",
"name_en": "<string>",
"level": 123,
"code": "<string>",
"parent_code": "<string>"
},
"seller": {
"id": 123,
"display_name": "<string>"
},
"images": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"polymorphic_type": "listing",
"country": "<string>",
"listing_type": "sale",
"source_type": "<string>",
"source": "<string>",
"price": 123,
"url": "<string>",
"reference_id": "<string>",
"description": "<string>",
"address": "<string>",
"latitude": 123,
"longitude": 123,
"coordinates": "<string>",
"build_area": 123,
"land_area": 123,
"uncovered_veranda_area": 123,
"covered_veranda_area": 123,
"price_per_sqm": 123,
"building_floor_count": 123,
"construction_year": 123,
"renovated": true,
"renovation_year": 123,
"floor_number": 123,
"garage": true,
"garden": true,
"heating_type": "<string>",
"number_of_bedrooms": 123,
"number_of_bathrooms": 123,
"property_type": "<string>",
"swimming_pool": true,
"view": "<string>",
"energy_class": "A",
"is_live": true,
"is_modified": true,
"is_public": true,
"is_manually_updated": true,
"is_ai_updated": true,
"is_ai_processed": true,
"is_ai_mismatched": true,
"outlier": true,
"comparable": true,
"last_seen_at": "2023-11-07T05:31:56Z",
"first_seen_at": "2023-11-07T05:31:56Z",
"delisted_at": "2023-11-07T05:31:56Z",
"is_duplicated": true,
"master_property_id": 123,
"is_deduplication_processed": true,
"is_master_property": true,
"is_leader": true,
"polymorphic_ctype": 123,
"regional_unit": 123,
"region": 123,
"neighborhood": 123,
"tags": [
123
]
}
]
}Overview
Returns a paginated list of public properties located on a specific Cyprus parcel, identified by its administrative location codes and cadastral sheet/plan/block/number. Response fields are the same property object returned by List properties — see that page for the full field reference.Query parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
district_code | string | Yes | District code. |
village_code | string | Yes | Village code. |
quarter_code | string | No | Quarter code. |
sheet | string | Yes | Cadastral sheet identifier. |
plan | string | Yes | Cadastral plan identifier. |
parcel_block | string | Yes | Parcel block identifier. |
parcel_number | string | Yes | Parcel number identifier. |
page | integer | No | Page number within the result set. |
page_size | integer | No | Results per page. |
Example request
curl -X GET "https://pandora.ask-wire.com/cy/cadastral-search/properties-by-parcel/?district_code=04&village_code=0412&sheet=21&plan=54&parcel_block=B&parcel_number=1207" \
-H "Authorization: Bearer YOUR_TOKEN"
Authorizations
Query Parameters
⌘I
List properties on a parcel
curl --request GET \
--url https://pandora.ask-wire.com/cy/cadastral-search/properties-by-parcel/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://pandora.ask-wire.com/cy/cadastral-search/properties-by-parcel/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://pandora.ask-wire.com/cy/cadastral-search/properties-by-parcel/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://pandora.ask-wire.com/cy/cadastral-search/properties-by-parcel/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://pandora.ask-wire.com/cy/cadastral-search/properties-by-parcel/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://pandora.ask-wire.com/cy/cadastral-search/properties-by-parcel/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://pandora.ask-wire.com/cy/cadastral-search/properties-by-parcel/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"count": 123,
"next": "<string>",
"previous": "<string>",
"results": [
{
"id": 123,
"municipality": {
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"country": "<string>",
"parent_id": 123,
"name_gr": "<string>",
"name_en": "<string>",
"level": 123,
"code": "<string>",
"parent_code": "<string>"
},
"municipal_unit": {
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"country": "<string>",
"parent_id": 123,
"name_gr": "<string>",
"name_en": "<string>",
"level": 123,
"code": "<string>",
"parent_code": "<string>"
},
"seller": {
"id": 123,
"display_name": "<string>"
},
"images": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"polymorphic_type": "listing",
"country": "<string>",
"listing_type": "sale",
"source_type": "<string>",
"source": "<string>",
"price": 123,
"url": "<string>",
"reference_id": "<string>",
"description": "<string>",
"address": "<string>",
"latitude": 123,
"longitude": 123,
"coordinates": "<string>",
"build_area": 123,
"land_area": 123,
"uncovered_veranda_area": 123,
"covered_veranda_area": 123,
"price_per_sqm": 123,
"building_floor_count": 123,
"construction_year": 123,
"renovated": true,
"renovation_year": 123,
"floor_number": 123,
"garage": true,
"garden": true,
"heating_type": "<string>",
"number_of_bedrooms": 123,
"number_of_bathrooms": 123,
"property_type": "<string>",
"swimming_pool": true,
"view": "<string>",
"energy_class": "A",
"is_live": true,
"is_modified": true,
"is_public": true,
"is_manually_updated": true,
"is_ai_updated": true,
"is_ai_processed": true,
"is_ai_mismatched": true,
"outlier": true,
"comparable": true,
"last_seen_at": "2023-11-07T05:31:56Z",
"first_seen_at": "2023-11-07T05:31:56Z",
"delisted_at": "2023-11-07T05:31:56Z",
"is_duplicated": true,
"master_property_id": 123,
"is_deduplication_processed": true,
"is_master_property": true,
"is_leader": true,
"polymorphic_ctype": 123,
"regional_unit": 123,
"region": 123,
"neighborhood": 123,
"tags": [
123
]
}
]
}